Bug 9275 - WackoWiki should require apache
: WackoWiki should require apache
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/WackoWiki)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-19 19:05 by
Modified: 2006-04-19 08:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-19 19:05:13
$ rpm -q --scripts WackoWiki | grep service
/sbin/service httpd condrestart
        /sbin/service httpd condrestart
$ rpm -qf /etc/init.d/httpd
apache-1.3.34rusPL30.22-alt2

Поэтому WackoWiki должна требовать apache, а не только apache-common, как сейчас
(4.2-alt2).
------- Comment #1 From 2006-03-19 20:32:25 -------
А что делать c apache2, nginx + php over fastcgi... ?
Понимаю, что можно добавить проверку существования /etc/init.d/{apache,apache2}
и перезапускать только существующие. (и то это не будет охватывать все случаи)
------- Comment #2 From 2006-03-19 20:43:05 -------
Оперативная реакция на багу, повешенную в воскресенье 8-).

Как известно, Web-policy у нас так и не сложилась. Что нужно перезапускать --
не
ведаю.

В общем, мне не критично, чтобы Wacko требовала apache: мне просто нужно, чтобы
она успешно устанавливалась в хашер как сборочная зависимость (для
WackoFormatter :-/). Для этого она не должна грепать в %post несуществующий
/etc/httpd/conf/httpd.conf и не должна перезапускать несуществующий httpd.
------- Comment #3 From 2006-03-19 20:58:58 -------
OK, добавлю проверку на существование.
Если /etc/init.d/httpd нет, то ничего не делаем.
------- Comment #4 From 2006-03-21 23:35:49 -------
fixed in 4.2-alt3
------- Comment #5 From 2006-03-21 23:53:56 -------
Спасибо!
------- Comment #6 From 2006-04-19 08:32:31 -------
Лично я выношу такие зависимотсти в отдельные пакеты, как раз по этим
причинам..
чтобы не делать привязку к конкретному веб-серверу. См. например zabbix,
mailgraph